Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Profile Class Reference

An individual profile that will be processed by the Profiler. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Methods

| Profile (const String &profileName)
| ~Profile ()

## Protected Attributes

String | mName
| The name of this profile.

## Detailed Description

An individual profile that will be processed by the Profiler.

Remarks:
  Use the macro OgreProfile(name) instead of instantiating this profile directly
  We use this Profile to allow scoping rules to signify the beginning and end of the profile. Use the Profiler singleton (through the macro OgreProfileBegin(name) and OgreProfileEnd(name)) directly if you want a profile to last outside of a scope (ie the main game loop).

Author:
  Amit Mathew (amitmathew (at) yahoo (dot) com)

Definition at line 73 of file OgreProfiler.h.

## Constructor & Destructor Documentation

Ogre::Profile::Profile | ( | const String & | profileName | ) |

| Definition at line 63 of file OgreProfiler.cpp. References Ogre::Profiler::beginProfile(), Ogre::Profiler::getSingleton(), mName, and Ogre::String.

Ogre::Profile::~Profile | ( |  | ) |

| Definition at line 71 of file OgreProfiler.cpp. References Ogre::Profiler::endProfile(), Ogre::Profiler::getSingleton(), and mName.

## Member Data Documentation

String Ogre::Profile::mName`[protected]`

| The name of this profile. Definition at line 82 of file OgreProfiler.h. Referenced by Profile(), and ~Profile().

The documentation for this class was generated from the following files:

- OgreProfiler.h
- OgreProfiler.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:26 2004